> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Super Admin's Current Masquerading Company

GET https://api-b2b.bigcommerce.com/api/v2/sales-reps/{superAdminId}/companies/masquerading

Returns basic details for the Company the Super Admin is currently masquerading as.

Equivalent Storefront GraphQL API Query: `superAdminMasquerading`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/storefront/sales-rep/super-admin/get-sales-reps-customer-id-companies-masquerading

## Authentication

- `Authorization` header (bearer token, required) — ### Authentication header | Header | Argument | Description | | :-------------- | :------------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `Authorization` | `Bearer {{B2B_JWT_TOKEN}}` | You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section\[...] |

## Request

### Path parameters

- `superAdminId` (integer, required) — The unique numeric ID assigned to the Super Admin by B2B Edition. This ID does **not** match the BigCommerce customer account ID. To find the ID of a given Super Admin account, use the [Server-to-Server Super Admin API](/developer/api-reference/rest/b2b/management/super-admin).

## Response

### 200

OK

- `code` (integer, optional, default: 200) — The HTTP Status code of the response.
- `message` (string, optional, default: SUCCESS) — Response message.
- `data` (SalesRepsSuperAdminIdCompaniesMasqueradingGetResponsesContentApplicationJsonSchemaData, optional)

## Errors

### 403 Forbidden Error

Unauthorized This response is returned if the Bearer Token included with the request does not match the `superAdminId`.

- `any`

## Types

### SalesRepsSuperAdminIdCompaniesMasqueradingGetResponsesContentApplicationJsonSchemaData

## Examples

**Response**

```json
{
  "code": 200,
  "message": "SUCCESS",
  "data": {
    "addressLine1": "123 Test Street",
    "addressLine2": "Building 1",
    "catalogId": "123456",
    "city": "Austin",
    "companyId": "123456",
    "companyName": "Great Buys, Inc.",
    "companyStatus": "1",
    "country": "United States",
    "description": "Great Buys Sales",
    "extraFields": [
      {
        "fieldName": "Company Tax Code",
        "fieldValue": "Tax Code G"
      }
    ],
    "state": "Texas",
    "zipCode": "78726"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v2/sales-reps/1/companies/masquerading"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v2/sales-reps/1/companies/masquerading';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v2/sales-reps/1/companies/masquerading"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v2/sales-reps/1/companies/masquerading")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v2/sales-reps/1/companies/masquerading")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v2/sales-reps/1/companies/masquerading', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v2/sales-reps/1/companies/masquerading");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v2/sales-reps/1/companies/masquerading")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```